build:
  stage: build
  script:
    - python setup.py sdist bdist bdist_wheel
  artifacts:
    paths:
      - dist/
  only:
    - staging
    - master
unit_tests:
  stage: test
  script:
    - echo Fill me in!

# vagrant_backed_tests
#   stage: test
#   script:
#     - vagrant ssh -c 'sudo shutdown -P +10'
#     - vagrant ssh -c 'cd /vagrant; nosetests --with-coverage'
#    before_script:
#      - vagrant up
#    after_script:
#      - vagrant destroy -f